org.apache.olingo.commons.api.edm.annotation

## Interface EdmApply

- All Superinterfaces:
    EdmAnnotatable, EdmDynamicExpression, EdmExpression

      public interface EdmApply
      extends EdmDynamicExpression, EdmAnnotatable

  Represents an Edm:Apply expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunction()` A QualifiedName specifying the name of the client-side function to apply.
    `List<EdmExpression>` | `getParameters()` Returns the expressions applied to the parameters of the function

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmDynamicExpression

      `asAnd, asAnnotationPath, asApply, asCast, asCollection, asEq, asGe, asGt, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLe, asLt, asNavigationPropertyPath, asNe, asNot, asNull, asOr, asPath, asPropertyPath, asPropertyValue, asRecord, asUrlRef, isAnd, isAnnotationPath, isApply, isCast, isCollection, isEq, isGe, isGt, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLe, isLt, isNavigationPropertyPath, isNe, isNot, isNull, isOr, isPath, isPropertyPath, isPropertyValue, isRecord, isUrlRef`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `asConstant, asDynamic, getExpressionName, getExpressionType, isConstant, isDynamic`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getFunction

          String getFunction()

      A QualifiedName specifying the name of the client-side function to apply.
      OData defines three canonical functions. Services MAY support additional functions that MUST be qualified with a namespace or alias other than odata. Function names qualified with odata are reserved for this specification and its future versions.
      Returns:
        function full qualified name
      See Also:
        `Constants.CANONICAL_FUNCTION_CONCAT`, `Constants.CANONICAL_FUNCTION_FILLURITEMPLATE`, `Constants.CANONICAL_FUNCTION_URIENCODE`

    - #### getParameters

          List<EdmExpression> getParameters()

      Returns the expressions applied to the parameters of the function
      Returns:
        List of expression

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.